#!/bin/sh
#
# chkconfig: 5 45 05
# description: setup xssh for live

WITHOUT_RC_COMPAT=1

# Source function library.
. /etc/init.d/functions

start()
{
	for x in $(cat /proc/cmdline); do
	case $x in
		xssh=*)
			XSSH="${x#xssh=}"
			if [ -n "${XSSH}" ]; then
				cat > /tmp/connection.xssh << EOF
su - live -c "ssh -Y `hostname`@$XSSH startxfce4"
EOF
				xinit /tmp/connection.xssh &> /dev/null &
				touch /var/lock/subsys/live-xssh
			fi
			;;
	esac
done

}

stop()
{
	killall X
}

# See how we were called.
case "$1" in
	start)
		start
		;;
	stop)
		stop
		;;
	*)
		msg_usage "${0##*/} {start|stop}"
esac